From f7c98c4c859c15363763f10a439b63d85b9afba0 Mon Sep 17 00:00:00 2001
From: Nicolas Gallagher <nicolasgallagher@gmail.com>
Date: Thu, 8 Feb 2018 15:48:41 -0800
Subject: [PATCH] Don't remove search input cancel button in Chrome/Safari

Fix #685
---
 README.md     | 3 +--
 normalize.css | 3 +--
 test.html     | 4 ----
 3 files changed, 2 insertions(+), 8 deletions(-)

diff --git a/README.md b/README.md
index c1882b2fc..71954f230 100644
--- a/README.md
+++ b/README.md
@@ -84,8 +84,7 @@ Chrome and Safari on Windows you can't control `border` properly. It will apply
 `border-width` but will only show a border color (which cannot be controlled)
 for the outer 1px of that border. Applying `-webkit-appearance: textfield`
 addresses these issues without removing the benefits of search inputs (e.g.
-showing past searches). Safari (but not Chrome) will clip the cancel button on
-when it has padding (and `textfield` appearance).
+showing past searches).
 
 ## Contributing
 
diff --git a/normalize.css b/normalize.css
index 02c713c75..17b979652 100644
--- a/normalize.css
+++ b/normalize.css
@@ -285,10 +285,9 @@ textarea {
 }
 
 /**
- * Remove the inner padding and cancel buttons in Chrome and Safari on macOS.
+ * Remove the inner padding in Chrome and Safari on macOS.
  */
 
-[type="search"]::-webkit-search-cancel-button,
 [type="search"]::-webkit-search-decoration {
   -webkit-appearance: none;
 }
diff --git a/test.html b/test.html
index 5b11f9282..615b08326 100644
--- a/test.html
+++ b/test.html
@@ -433,10 +433,6 @@ <h3 class="Test-it">should be styleable</h3>
   <div class="Test-run">
     <input type="search" style="border:1px solid #ADD8E6; padding:10px; width:200px;">
   </div>
-  <h3 class="Test-it">should not have a cancel button in Safari or Chrome</h3>
-  <div class="Test-run">
-    <input type="search" value="search">
-  </div>
   <h3 class="Test-it">should reference inherited color</h3>
   <div class="Test-run">
     <input type="text" placeholder="Text goes here" style="background-color: black; color: orange;">
